# Editar Cliente

Edita el cliente solicitado.

Endpoint: PATCH /client/{client-id}/
Version: 1.0
Security: AppKeys

## Path parameters:

  - `client-id` (string, required)
    Identificador del cliente que se desea solicitar

## Request fields (application/json):

  - `name` (string)
    Nombre

  - `client_id` (string)
    Identificador externo

  - `email` (string)
    Correo electrónico

  - `phone` (string)
    Teléfono

  - `web` (string)
    Web

  - `street` (string)
    Calle y número

  - `postal_code` (string)
    Código postal

  - `city` (string)
    Ciudad

  - `province` (string)
    Provincia

  - `country` (string)
    País

  - `enabled` (boolean)
    Si esta habilitado o no (por defecto: False)

## Response 200 fields (application/json):

  - `id` (string)
    Identificador único

  - `enabled_by_compliance` (boolean)
    Si esta habilitado o no por compliance

  - `name` (string, required)
    Nombre

  - `client_id` (string)
    Identificador externo

  - `client_type` (string)
    Tipo de cliente (por defecto: individual)
    Enum: "individual", "company"

  - `id_type` (string)
    Tipo de identificación (por defecto: national)
    Enum: "national", "foreign", "passport"

  - `id_country` (string, required)
    País

  - `id_number` (string, required)
    Número de identificación

  - `id_expiration_date` (string)
    Fecha de expiración de la identificación

  - `email` (string)
    Correo electrónico

  - `phone` (string)
    Teléfono

  - `web` (string)
    Web

  - `incorporation_date` (string)
    Fecha de incorporación de la empresa

  - `birth_date` (string)
    Fecha de nacimiento del individuo

  - `birth_country` (string)
    País de nacimiento del individuo

  - `nationality` (string)
    Nacionalidad del individuo

  - `street` (string)
    Calle y número

  - `postal_code` (string)
    Código postal

  - `city` (string)
    Ciudad

  - `province` (string)
    Provincia

  - `country` (string)
    País

  - `notify_url` (string)
    URL de notificación. Se envían a esta url las notificaciones de cambio de estado

  - `enabled` (boolean)
    Si esta habilitado o no (por defecto: False)


## Response 400 fields

## Response 401 fields

## Response 404 fields
